Summary: A GNOME/GTK+ news reader for X.
Name: pan
Version: 0.9.7
Release: 2.71
Patch0: pan-0.8.1beta1-db.patch
Patch1: pan-0.9.7-desktop.patch
Patch2: pan-0.9.7-panes.patch
Patch3: pan-0.9.7-from-overflow-108189.patch
Epoch: 1
Copyright: GPL
Group: Applications/Internet
Source: http://pan.rebelbase.com/download/%{version}/%{name}-%{version}.tar.bz2
URL: http://www.superpimp.org/
Buildroot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gtk+-devel >= 1.2.7, gnome-libs-devel >= 1.0
Requires: gtk+ >= 1.2.7 , gnome-libs >= 1.0

%description
Pan is a news reader loosely modeled after the Windows(R) program
Ag*nt. Pan is intended for the GNOME GUI desktop environment and was
written using the GTK+ widget set.  Pan features include relatively
easy decoding of binary files, automatic grouping of multipart posts,
and a multithreaded architecture.

%prep
%setup -q

#%patch -p1
%patch1 -p1

# Pack widgets into all panes in paned view with resize = FALSE, to avoid
# various really horrific misbehaviors (like paned sliders disappearing
# and not coming back
#
%patch2 -p1 -b .panes

# fix CAN-2003-0855 buffer overflow with looong sender addresses
%patch3 -p1 -b .overflow

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING CREDITS ChangeLog README TODO
%{_bindir}/pan
%{_datadir}/pixmaps/*
%{_datadir}/gnome/apps/Internet/pan.desktop

%changelog
* Wed Oct 29 2003 Jens Petersen <petersen@redhat.com> - 1:0.9.7-3
- add pan-0.9.7-from-overflow-108189.patch to address CAN-2003-0855 crashing
  with long From addresses [reported by Kasper Dupont, fix by Charles Kerr]

* Mon Jul  2 2001 Tim Powers <timp@redhat.com>
- updated to 0.9.7, bugfix release
- patched desktop file so that the tooltip isn't considered offensive.

* Sun Jun 24 2001 Elliot Lee <sopwith@redhat.com>
- Bump release + rebuild.

* Mon Mar 19 2001 Tim Powers <timp@redhat.com>
- updated to 0.9.5
- fixes bug #31214 where the years were being displayed as 1979 etc.

* Fri Feb 23 2001 Trond Eivind Glomsrd <teg@redhat.com>
- langify

* Mon Nov 20 2000 Tim Powers <timp@redhat.com>
- rebuilt to fix bad dir perms

* Mon Nov 13 2000 Tim Powers <timp@redhat.com>
- update to 0.9.1
- no more applnk. Why did we do that in the first place? We have an
  entry for a desktop file in GNOME anyway?

* Wed Sep 13 2000 Tim Powers <timp@redhat.com>
- update to 0.8.1-beta4

* Mon Jul 31 2000 Tim Powers <timp@redhat.com>
- fixed pan's desktop file location to fix bug #14868, was under /etx now fixed to be under /etc
- use predefined  macros from RPM so that this doesn't happen again :)

* Mon Jul 24 2000 Prospector <prospector@redhat.com>
- rebuilt

* Mon Jul 10 2000 Tim Powers <timp@redhat.com>
- rebuilt

* Mon Jul 02 2000 Trond Eivind Glomsrd <teg@redhat.com>
- updated to 0.8.1beta1
- patch for db breakage

* Tue May 23 2000 Preston Brown <pbrown@redhat.com>
- updated to 0.8.0 final

* Wed May 17 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.0beta8

* Tue Apr 18 2000 Tim Powers <timp@redhat.com>
- updated to 0.8.0beta5

* Thu Feb 10 2000 Matt Wilson <msw@redhat.com>
- updated to 0.7.5

* Tue Jan 11 2000 Tim Powers <timp@redhat.com>
- updated to 0.7.0

* Wed Dec 15 1999 Tim Powers <timp@redhat.com>
- updated to 0.6.7
- general spec file cleanups

* Tue Aug 3 1999 Tim Powers <timp@redhat.com>
- first build of package
